Index: /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 4050)
@@ -51,12 +51,4 @@
   INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: niadv ! equivalent dyn / physique
 !$OMP THREADPRIVATE(niadv)
-
-! CRisi: tableaux de fils
-  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: nqfils
-  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: nqdesc ! nombres de fils + nombre de tous les petits fils sur toutes les générations
-  INTEGER, SAVE :: nqdesc_tot
-  INTEGER, ALLOCATABLE, DIMENSION(:,:), SAVE    :: iqfils
-  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: iqpere
-!$OMP THREADPRIVATE(nqfils,nqdesc,nqdesc_tot,iqfils,iqpere)
 
 ! conv_flg(it)=0 : convection desactivated for tracer number it 
@@ -84,12 +76,6 @@
     INTEGER, ALLOCATABLE, DIMENSION(:,:), SAVE ::  iqiso ! donne indice iq en fn de (ixt,phase) 
 !$OMP THREADPRIVATE(iqiso)
-    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  iso_num ! donne numéro iso entre 1 et niso_possibles en fn de nqtot
-!$OMP THREADPRIVATE(iso_num)
     INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  iso_indnum ! donne numéro iso entre 1 et niso effectif en fn de nqtot
 !$OMP THREADPRIVATE(iso_indnum)
-    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  zone_num ! donne numéro de la zone de tracage en fn de nqtot
-!$OMP THREADPRIVATE(zone_num)
-    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  phase_num ! donne numéro de la zone de tracage en fn de nqtot
-!$OMP THREADPRIVATE(phase_num)
     INTEGER, DIMENSION(niso_possibles), SAVE :: indnum_fn_num ! donne indice entre entre 1 et niso en fonction du numéro d isotope entre 1 et niso_possibles
 !$OMP THREADPRIVATE(indnum_fn_num)
@@ -106,9 +92,7 @@
   SUBROUTINE init_infotrac_phy(nqtot_,nqo_,nbtr_,nqtottr_,nqCO2_,tracers_,type_trac_,&
                                niadv_,conv_flg_,pbl_flg_,solsym_,&
-                               nqfils_,nqdesc_,nqdesc_tot_,iqfils_,iqpere_,&
                                ok_isotopes_,ok_iso_verif_,ok_isotrac_,&
                                ok_init_iso_,niso_possibles_,tnat_,&
-                               alpha_ideal_,use_iso_,iqiso_,iso_num_,&
-                               iso_indnum_,zone_num_,phase_num_,&
+                               alpha_ideal_,use_iso_,iqiso_,iso_indnum_,&
                                indnum_fn_num_,index_trac_,&
                                niso_,ntraceurs_zone_,ntraciso_,itr_indice_&
@@ -143,9 +127,4 @@
     CHARACTER(len=*),INTENT(IN) :: solsym_(nbtr_)
     ! Isotopes:
-    INTEGER,INTENT(IN) :: nqfils_(nqtot_)
-    INTEGER,INTENT(IN) :: nqdesc_(nqtot_)
-    INTEGER,INTENT(IN) :: nqdesc_tot_
-    INTEGER,INTENT(IN) :: iqfils_(nqtot_,nqtot_)
-    INTEGER,INTENT(IN) :: iqpere_(nqtot_)
     LOGICAL,INTENT(IN) :: ok_isotopes_
     LOGICAL,INTENT(IN) :: ok_iso_verif_
@@ -157,8 +136,5 @@
     LOGICAL,INTENT(IN) :: use_iso_(niso_possibles_)
     INTEGER,INTENT(IN) :: iqiso_(ntraciso_,nqo_)
-    INTEGER,INTENT(IN) :: iso_num_(nqtot_)
     INTEGER,INTENT(IN) :: iso_indnum_(nqtot_)
-    INTEGER,INTENT(IN) :: zone_num_(nqtot_)
-    INTEGER,INTENT(IN) :: phase_num_(nqtot_)
     INTEGER,INTENT(IN) :: indnum_fn_num_(niso_possibles_)
     INTEGER,INTENT(IN) :: index_trac_(ntraceurs_zone_,niso_)
@@ -169,4 +145,5 @@
 
     CHARACTER(LEN=30) :: modname="init_infotrac_phy"
+    INTEGER :: iq
 
     nqtot=nqtot_
@@ -176,4 +153,7 @@
     nqtottr=nqtottr_
     ALLOCATE(tracers(nqtot)); tracers(:) = tracers_(:)
+    tracers(:)%isAdvected = tracers(:)%iadv  >   0
+!    tracers(:)%isH2Ofamily = delPhase(tracers(:)%gen0Name) == 'H2O'
+    tracers(:)%isH2Ofamily = [(tracers(iq)%gen0Name(1:3) == 'H2O', iq=1, nqtot)]
 #ifdef CPP_StratAer
     nbtr_bin=nbtr_bin_
@@ -216,14 +196,4 @@
     
     IF (ok_isotopes) THEN
-      ALLOCATE(nqfils(nqtot))
-      nqfils(:)=nqfils_(:)
-      ALLOCATE(nqdesc(nqtot))
-      nqdesc(:)=nqdesc_(:)
-      nqdesc_tot=nqdesc_tot_
-      ALLOCATE(iqfils(nqtot,nqtot))
-      iqfils(:,:)=iqfils_(:,:)
-      ALLOCATE(iqpere(nqtot))
-      iqpere(:)=iqpere_(:)
-    
       tnat(:)=tnat_(:)
       alpha_ideal(:)=alpha_ideal_(:)
@@ -232,12 +202,6 @@
       ALLOCATE(iqiso(ntraciso,nqo))
       iqiso(:,:)=iqiso_(:,:)
-      ALLOCATE(iso_num(nqtot))
-      iso_num(:)=iso_num_(:)
       ALLOCATE(iso_indnum(nqtot))
       iso_indnum(:)=iso_indnum_(:)
-      ALLOCATE(zone_num(nqtot))
-      zone_num(:)=zone_num_(:)
-      ALLOCATE(phase_num(nqtot))
-      phase_num(:)=phase_num_(:)
       
       indnum_fn_num(:)=indnum_fn_num_(:)
Index: /LMDZ6/trunk/libf/phylmd/tracco2i_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/tracco2i_mod.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmd/tracco2i_mod.F90	(revision 4050)
@@ -30,5 +30,5 @@
 
     USE dimphy
-    USE infotrac_phy
+    USE infotrac_phy, ONLY: nbtr
     USE geometry_mod, ONLY: cell_area
     USE carbon_cycle_mod, ONLY: id_CO2, nbcf_in, fields_in, cfname_in
@@ -336,5 +336,5 @@
 
     USE dimphy
-    USE infotrac_phy
+!    USE infotrac_phy
     USE geometry_mod, ONLY : cell_area
     USE mod_grid_phy_lmdz
Index: /LMDZ6/trunk/libf/phylmd/traclmdz_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/traclmdz_mod.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmd/traclmdz_mod.F90	(revision 4050)
@@ -67,5 +67,5 @@
     
     USE dimphy
-    USE infotrac_phy
+    USE infotrac_phy, ONLY: nbtr, tracers, niadv, solsym
     
     ! Input argument
@@ -89,5 +89,5 @@
     ! Initialization of the tracers should be done here only for those not found in the restart file.
     USE dimphy
-    USE infotrac_phy
+    USE infotrac_phy, ONLY: nbtr, nqo, tracers, pbl_flg, conv_flg, niadv
     USE regr_pr_comb_coefoz_m, ONLY: alloc_coefoz
     USE press_coefoz_m, ONLY: press_coefoz
@@ -176,6 +176,4 @@
 !!       iiq=niadv(it+2)                                                            ! jyg
        iiq=niadv(it+nqo)                                                            ! jyg
-print*,'###'//TRIM(tracers(iiq)%name)//'###'
-print*,'###'//TRIM(strLower(tracers(iiq)%name))//'###'
        SELECT CASE(strLower(tracers(iiq)%name))
          CASE("rn");      id_rn     = it ! radon
@@ -311,5 +309,5 @@
     
     USE dimphy
-    USE infotrac_phy
+    USE infotrac_phy, ONLY: nbtr, pbl_flg, solsym
     USE regr_pr_comb_coefoz_m, ONLY: regr_pr_comb_coefoz
     USE o3_chem_m, ONLY: o3_chem
@@ -586,5 +584,5 @@
     ! variable trs is written to restart file (restartphy.nc)
     USE dimphy
-    USE infotrac_phy
+    USE infotrac_phy, ONLY: nbtr
     
     REAL,DIMENSION(klon,nbtr), INTENT(OUT) :: trs_out
Index: /LMDZ6/trunk/libf/phylmd/tracreprobus_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/tracreprobus_mod.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmd/tracreprobus_mod.F90	(revision 4050)
@@ -12,5 +12,5 @@
 
     USE dimphy
-    USE infotrac_phy
+    USE infotrac_phy, ONLY: nbtr, solsym
 #ifdef REPROBUS 
     USE CHEM_REP, ONLY : pdt_rep, &  ! pas de temps reprobus
Index: /LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 4049)
+++ /LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 4050)
@@ -449,5 +449,5 @@
 
 #ifdef ISOVERIF
-        write(*,*) 'cv30_routine undilute 1 413: entrée'
+        write(*,*) 'cv30_routine undilute 1 413: entree'
 #endif
 
@@ -602,5 +602,5 @@
           zfice(i) = MIN(MAX(zfice(i),0.0),1.0)          
        enddo
-       ! calcul de la composition du condensat glacé et liquide
+       ! calcul de la composition du condensat glace et liquide
 
        do i=1,len
@@ -647,5 +647,5 @@
 
 #ifdef ISOVERIF
-            write(*,*) 'cv30_routine undilute 1 598: après condiso'
+            write(*,*) 'cv30_routine undilute 1 598: apres condiso'
           
           if (iso_eau.gt.0) then
@@ -1012,5 +1012,5 @@
             else
               q(i,k)=0.0
-              clw(i,k)=0.0 ! mise en commentaire le 5 avril pour vérif
+              clw(i,k)=0.0 ! mise en commentaire le 5 avril pour verif
 !            convergence
             endif  !f (negation(essai_convergence)) then
@@ -1908,5 +1908,5 @@
       real xtrti(ntraciso,nloc)
       real xtres(ntraciso)
-      ! on ajoute la dimension nloc à xtrti pour vérifs dans les tags: 5 fev
+      ! on ajoute la dimension nloc a xtrti pour verifs dans les tags: 5 fev
       ! 2010
       real zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
@@ -1923,5 +1923,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      write(*,*) 'cv30_routines 1820: entrée dans cv3_mixing'
+      write(*,*) 'cv30_routines 1820: entree dans cv3_mixing'
       if (iso_eau.gt.0) then
       call iso_verif_egalite_vect2D( &
@@ -1965,6 +1965,6 @@
              xtelij(ixt,i,k,j)=0.0
             enddo !do ixt =1,niso
-            ! on initialise mieux que ça qent et elij, même si au final les
-            ! valeurs en nd=nl+1 ne sont pas utilisées
+            ! on initialise mieux que ca qent et elij, meme si au final les
+            ! valeurs en nd=nl+1 ne sont pas utilisees
             qent(i,k,j)=rr(i,j)
             elij(i,k,j)=0.0    
@@ -2121,6 +2121,6 @@
 !     :           'tcond(il),rs(il,j)=',
 !     :            il,i,j,xtent(:,il,i,j),tcond(il),rs(il,j)
-        ! colorier la vapeur résiduelle selon température de
-        ! condensation, et le condensat en un tag spécifique
+        ! colorier la vapeur residuelle selon temperature de
+        ! condensation, et le condensat en un tag spEcifique
           if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) then  
             if (option_traceurs.eq.17) then        
@@ -2241,6 +2241,6 @@
 #ifdef ISOTRAC          
         if (option_tmin.ge.1) then
-        ! colorier la vapeur résiduelle selon température de
-        ! condensation, et le condensat en un tag spécifique
+        ! colorier la vapeur residuelle selon temperature de
+        ! condensation, et le condensat en un tag specifique
 !        write(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
@@ -2475,6 +2475,6 @@
 #ifdef ISOTRAC          
         if (option_tmin.ge.1) then
-        ! colorier la vapeur résiduelle selon température de
-        ! condensation, et le condensat en un tag spécifique
+        ! colorier la vapeur residuelle selon temperature de
+        ! condensation, et le condensat en un tag specifique
 !        write(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
@@ -2579,10 +2579,10 @@
 #ifdef ISO
 #ifdef ISOTRAC
-        ! seulement à la fin on taggue le condensat
+        ! seulement a la fin on taggue le condensat
         if (option_cond.ge.1) then
          do im = 1, nd
          do jm = 1, nd
          do il = 1, ncum    
-           ! colorier le condensat en un tag spécifique
+           ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
              if (index_zone(ixt).eq.izone_cond) then
@@ -2603,5 +2603,5 @@
          do im = 1, nd
          do il = 1, ncum    
-           ! colorier le condensat en un tag spécifique
+           ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
              if (index_zone(ixt).eq.izone_cond) then
@@ -2739,5 +2739,5 @@
   ! ------------------------------------------------------
 !#ifdef ISOVERIF
-!        write(*,*) 'cv30_routines 2382: entrée dans cv3_unsat'
+!        write(*,*) 'cv30_routines 2382: entree dans cv3_unsat'
 !#endif
 
@@ -2747,5 +2747,5 @@
   mp(:, :) = 0.
 #ifdef ISO
-  ! initialisation plus complète de water et rp
+  ! initialisation plus complete de water et rp
   water(:,:)=0.0
   xtwater(:,:,:)=0.0
@@ -2936,5 +2936,5 @@
         call iso_verif_traceur(xtwdtrain(1,il),'cv30_routine 2540')
         if (option_cond.ge.1) then
-           ! on vérifie que tout le détrainement est taggé condensat
+           ! on verifie que tout le detrainement est tagge condensat
            if (iso_verif_positif_nostop( &
      &          xtwdtrain(index_trac(izone_cond,iso_eau),il) &
@@ -3032,6 +3032,6 @@
 
 #ifdef ISO
-      ! ajout cam: éviter les evaporations ou eaux négatives
-!      water(il,i)=max(0.0,water(il,i)) ! ceci est toujours vérifié
+      ! ajout cam: eviter les evaporations ou eaux negatives
+!      water(il,i)=max(0.0,water(il,i)) ! ceci est toujours verifie
 #ifdef ISOVERIF
           call iso_verif_positif(water(il,i),'cv30_unsat 2376')
@@ -3189,5 +3189,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-! verif des inputs à appel stewart
+! verif des inputs a appel stewart
 !        write(*,*) 'cv30_routines 2842 tmp: appel de appel_stewart'
       do il=1,ncum 
@@ -3208,5 +3208,5 @@
        enddo
 #endif
-        ! appel de appel_stewart_vectorisé
+        ! appel de appel_stewart_vectorise
         call appel_stewart_vectall(lwork,ncum, &
      &                   ph,t,evap,xtwdtrain, &
@@ -3268,5 +3268,5 @@
 #endif
         
-! équivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
+! equivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
        do il=1,ncum
         if (i.lt.inb(il) .and. lwork(il)) then
@@ -3463,14 +3463,14 @@
       real xtbx(ntraciso), xtawat(ntraciso)
       ! cam debug
-      ! pour l'homogénéisation sous le nuage:
+      ! pour l'homogeneisation sous le nuage:
       real frsum(nloc), bxtsum(ntraciso,nloc), fxtsum(ntraciso,nloc)
-      ! correction dans calcul tendance liée à Am:
+      ! correction dans calcul tendance liee a Am:
       real dq_tmp,k_tmp,dx_tmp,R_tmp,dqreste_tmp,dxreste_tmp,kad_tmp
       logical correction_excess_aberrant
       parameter (correction_excess_aberrant=.false.)
-        ! correction qui permettait d'éviter deltas et dexcess aberrants. Mais
+        ! correction qui permettait d'eviter deltas et dexcess aberrants. Mais
         ! pb: ne conserve pas la masse d'isotopes!
 #ifdef DIAGISO
-        ! diagnostiques juste: tendance des différents processus
+        ! diagnostiques juste: tendance des differents processus
       real fxt_detrainement(ntraciso,nloc,nd)
       real fxt_fluxmasse(ntraciso,nloc,nd)
@@ -3517,5 +3517,5 @@
 #ifdef ISO
        ! cam debug
-!       write(*,*) 'cv30_routines 3082: entrée dans cv3_yield'
+!       write(*,*) 'cv30_routines 3082: entree dans cv3_yield'
        ! en cam debug
        do ixt = 1, ntraciso
@@ -3749,6 +3749,6 @@
         do ixt = 1, ntraciso
 !        fxt_fluxmasse(ixt,il,1)=fxt_fluxmasse(ixt,il,1) &
-!     &      +0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il) ! déplacé
-!     plus haut car il existe différents cas
+!     &      +0.01*grav*am(il)*(xt(ixt,il,2)-xt(ixt,il,1))*work(il) ! deplace
+!     plus haut car il existe differents cas
         fxt_ddft(ixt,il,1)=fxt_ddft(ixt,il,1) &
      &      +0.01*grav*mp(il,2)*(xtp(ixt,il,2)-xt(ixt,il,1))*work(il)
@@ -3759,18 +3759,18 @@
 
 
-        ! pour l'ajout de la tendance liée au flux de masse Am, il faut être
+        ! pour l'ajout de la tendance liee au flux de masse Am, il faut etre
         ! prudent.
         ! On a dq1=k*(q2-q1) avec k=dt*0.01*grav*am(il)*work(il)
-        ! Pour les isotopes, la formule utilisée depuis 2006 et qui avait toujours marché est:
+        ! Pour les isotopes, la formule utilisee depuis 2006 et qui avait toujours marche est:
         ! dx1=k*(x2-x1)
-        ! Mais on plante dans un cas pathologique en décembre 2017 lors du test
-        ! d'un cas d'Anne Cozic: les isotopes deviennent négatifs.
+        ! Mais on plante dans un cas pathologique en decembre 2017 lors du test
+        ! d'un cas d'Anne Cozic: les isotopes deviennent negatifs.
         ! C'est un cas pas physique: on perd 99% de la masse de vapeur d'eau! 
         ! q2=1.01e-3 et q1=1.25e-3 kg/kg
-        ! et dq=-1.24e-3: comment est-ce possible qu'un flux venant d'un air à
-        ! q2= 1.01e-3 assèche q1 jusqu'à 0.01e-3kg/kg!
-        ! Pour les isotopes, ça donne des x1+dx négatifs.
-        ! Ce n'est pas physique mais il faut quand même s'adapter.
-        ! Pour cela, on considère que d'abord on fait rentrer le flux de masse
+        ! et dq=-1.24e-3: comment est-ce possible qu'un flux venant d'un air a
+        ! q2= 1.01e-3 asseche q1 jusqu'a 0.01e-3kg/kg!
+        ! Pour les isotopes, ca donne des x1+dx negatifs.
+        ! Ce n'est pas physique mais il faut quand meme s'adapter.
+        ! Pour cela, on considere que d'abord on fait rentrer le flux de masse
         ! descendant, et ensuite seulement on fait sortir le flux de masse
         ! sortant.
@@ -3778,17 +3778,17 @@
         ! isotopique de la vapeur d'eau q1. 
         ! A la fin, on a R=(x1+dx)/(q1+dq)=(x1+k*x2)/(q1+k*q2)
-        ! On vérifie que quand k est petit, on tend vers la formulation
+        ! On verifie que quand k est petit, on tend vers la formulation
         ! habituelle.
-        ! Comme on est habitués à la formulation habituelle, qu'elle a fait ses
-        ! preuves, on la garde sauf dans le cas où dq/q<-0.9 où on utilise la
+        ! Comme on est habitues a la formulation habituelle, qu'elle a fait ses
+        ! preuves, on la garde sauf dans le cas ou dq/q<-0.9 ou on utilise la
         ! nouvelle formulation.
         ! rappel: dq_tmp=0.01*grav*am(il)*(rr(il,2)-rr(il,1))*work(il)*delt
-        ! Même avec cette nouvelle foirmulation, on a encore des isotopes
-        ! négatifs, cette fois à cause des ddfts
-        ! On considère donc les tendances et série et non en parallèle quand on
+        ! Meme avec cette nouvelle foirmulation, on a encore des isotopes
+        ! negatifs, cette fois a cause des ddfts
+        ! On considere donc les tendances et serie et non en parallele quand on
         ! calcule R_tmp.
         dq_tmp=0.01*grav*am(il)*(rr(il,2)-rr(il,1))*work(il)*delt ! utile ci-dessous
         if ((dq_tmp/rr(il,1).lt.-0.9).and.correction_excess_aberrant) then
-                ! nouvelle formulation où on fait d'abord entrer k*q2 et ensuite
+                ! nouvelle formulation ou on fait d'abord entrer k*q2 et ensuite
                 ! seulement on fait sortir k*q1 sans changement de composition
                 ! isotopique
@@ -3828,6 +3828,6 @@
            enddo ! do ixt = 1, ntraciso
         else !if (dq_tmp/rr(il,1).lt.-0.9) then
-                ! formulation habituelle qui avait toujours marché de 2006 à
-                ! décembre 2017.
+                ! formulation habituelle qui avait toujours marche de 2006 a
+                ! decembre 2017.
            do ixt = 1, ntraciso     
                 fxt(ixt,il,1)=fxt(ixt,il,1) &
@@ -4232,13 +4232,13 @@
         ! ad.
 #endif
-       ! ici, on sépare 2 cas, pour éviter le cas pathologique décrit plus haut
-       ! pour la tendance liée à Am en i=1, qui peut conduire à des isotopes
-       ! négatifs dans les cas où les flux de masse soustrait plus de 90% de la
-       ! vapeur de la couche. Voir plus haut le détail des équations.
-       ! La différence ici est qu'on considère les flux de masse amp1 et ad en
-       ! même temps.
+       ! ici, on separe 2 cas, pour eviter le cas pathologique decrit plus haut
+       ! pour la tendance liee a Am en i=1, qui peut conduire a des isotopes
+       ! negatifs dans les cas ou les flux de masse soustrait plus de 90% de la
+       ! vapeur de la couche. Voir plus haut le detail des equations.
+       ! La difference ici est qu'on considere les flux de masse amp1 et ad en
+       ! meme temps.
        dq_tmp= 0.01*grav*dpinv*(amp1(il)*(rr(il,i+1)-rr(il,i)) &
     &            -ad(il)*(rr(il,i)-rr(il,i-1)))*delt
-       ! c'est équivalent à dqi= kamp1*qip1+kad*qim1-(kamp1+kad)*qi
+       ! c'est equivalent a dqi= kamp1*qip1+kad*qim1-(kamp1+kad)*qi
        if ((dq_tmp/rr(il,i).lt.-0.9).and.correction_excess_aberrant) then 
         ! nouvelle formulation
@@ -4430,19 +4430,19 @@
         ! on change le traitement de cette ligne le 8 mai 2009:
         ! avant, on avait: xtawat=xtelij(il,k,i)-(1.-xtep(il,i))*xtclw(il,i)
-        ! c'est à dire que Rawat=Relij+(1-ep)*clw/awat*(Relij-Rclw)
-        ! si Relij!=Rclw, alors un fractionnement isotopique non physique était
+        ! c'est a dire que Rawat=Relij+(1-ep)*clw/awat*(Relij-Rclw)
+        ! si Relij!=Rclw, alors un fractionnement isotopique non physique etait
         ! introduit.
-        ! En fait, awat représente le surplus de condensat dans le mélange par
-        ! rapport à celui restant dans la colonne adiabatique
-        ! ce surplus à la même compo que le elij, sans fractionnement.
-        ! d'où le nouveau traitement ci-dessous.
+        ! En fait, awat represente le surplus de condensat dans le melange par
+        ! rapport a celui restant dans la colonne adiabatique
+        ! ce surplus a la meme compo que le elij, sans fractionnement.
+        ! d'ou le nouveau traitement ci-dessous.
       if (elij(il,k,i).gt.0.0) then
         do ixt = 1, ntraciso
           xtawat(ixt)=awat*(xtelij(ixt,il,k,i)/elij(il,k,i))
-!          xtawat(ixt)=amax1(xtawat(ixt),0.0) ! pas nécessaire
+!          xtawat(ixt)=amax1(xtawat(ixt),0.0) ! pas necessaire
         enddo
       else !if (elij(il,k,i).gt.0.0) then
           ! normalement, si elij(il,k,i)<=0, alors awat=0
-          ! on le vérifie. Si c'est vrai -> xtawat=0 aussi
+          ! on le verifie. Si c'est vrai -> xtawat=0 aussi
 #ifdef ISOVERIF
         call iso_verif_egalite(awat,0.0,'cv30_yield 3779')
@@ -4942,5 +4942,5 @@
      &       'cv30_yield 5029,O18, evap')
           if ((il.eq.1636).and.(i.eq.9)) then
-            write(*,*) 'cv30_yield 5057: ici, on vérifie deltaD_nobx'
+            write(*,*) 'cv30_yield 5057: ici, on verifie deltaD_nobx'
             write(*,*) 'il,i=',il,i
             write(*,*) 'fr(il,i),bx,fr(il,i)-bx=',fr(il,i),bx,fr(il,i)-bx
@@ -4973,6 +4973,6 @@
         else ! taggage des ddfts:
         ! la formule pour fq_ddft suppose que le ddft est en RP. Ce n'est pas le
-        ! cas pour le water tagging puisqu'il y a conversion des molécules
-        ! blances entrainées en molécule rouges.
+        ! cas pour le water tagging puisqu'il y a conversion des molecules
+        ! blances entrainees en molecule rouges.
         ! Il faut donc prendre en compte ce taux de conversion quand
         ! entrainement d'env vers ddft
@@ -4983,13 +4983,13 @@
 !     :           -conversion(iiso)   
 
-        ! Pb: quand on discretise, dqp/dt n'est pas vérifée numériquement.
-        ! on se retrouve donc avec des d Ye/dt différents de 0 même si ye=0 ( on
-        ! note X les molécules poubelles et Y les molécules ddfts).
+        ! Pb: quand on discretise, dqp/dt n'est pas verifee numeriquement.
+        ! on se retrouve donc avec des d Ye/dt differents de 0 meme si ye=0 ( on
+        ! note X les molecules poubelles et Y les molecules ddfts).
 
         ! Solution alternative: Dans le cas entrainant, Ye ne varie que par
         ! ascendance compensatoire des ddfts et par perte de Ye vers le ddft. On
-        ! calcule donc ce terme directement avec schéma amont: 
-
-        ! ajout déjà de l'évap
+        ! calcule donc ce terme directement avec schema amont: 
+
+        ! ajout deja de l'evap
         do ixt = 1+niso,ntraciso
              fxt(ixt,il,i)=fxt(ixt,il,i) &
@@ -5069,5 +5069,5 @@
 #endif
                 else !if (abs(dXe).gt.ridicule) then
-                    ! dans ce cas, fxtXe doit être faible
+                    ! dans ce cas, fxtXe doit etre faible
                     
 #ifdef ISOVERIF
@@ -5085,5 +5085,5 @@
                       fxt(ixt,il,i)=fxt(ixt,il,i)+fxtXe(iiso)
                     else !if (izone.eq.izone_poubelle) then
-                        ! pas de tendance pour ce tag là
+                        ! pas de tendance pour ce tag la
                     endif !if (izone.eq.izone_poubelle) then
                    endif !if ((izone.ne.izone_revap).and.
@@ -5099,5 +5099,5 @@
                
             else !if (mp(il,i).gt.mp(il,i+1)) then
-                ! cas détrainant: pas de problèmes
+                ! cas detrainant: pas de problemes
                 do ixt=1+niso,ntraciso
                 fxt(ixt,il,i)=fxt(ixt,il,i) &
@@ -5389,5 +5389,5 @@
   DO il = 1, ncum
 
-! attention, on corrige un problème C Risi
+! attention, on corrige un probleme C Risi
       IF (cvflag_grav) then
 
@@ -5722,5 +5722,5 @@
 !             write(*,*) 'cv30_routine 3990: fin des il pour i=',i
           enddo !do i=1,nl
-!          write(*,*) 'cv30_routine 3990: fin des vérifs sur homogen'
+!          write(*,*) 'cv30_routine 3990: fin des verifs sur homogen'
 #endif
 
@@ -6027,5 +6027,5 @@
 
   ! fraction deau condensee dans les melanges convertie en precip : epm
-  ! et eau condensée précipitée dans masse d'air saturé : l_m*dM_m/dzdz.dzdz
+  ! et eau condensee precipitee dans masse d'air sature : l_m*dM_m/dzdz.dzdz
   DO j = 1, nam1
     DO k = 1, j - 1
@@ -6226,5 +6226,5 @@
 
 #ifdef ISOVERIF
-        write(*,*) 'cv30_routines 4293: entrée dans cv3_uncompress'
+        write(*,*) 'cv30_routines 4293: entree dans cv3_uncompress'
 #endif
   DO i = 1, ncum
@@ -6346,7 +6346,7 @@
 
         ! On fait varier epmax en fn de la cape
-        ! Il faut donc recalculer ep, et hp qui a déjà été calculé et
-        ! qui en dépend
-        ! Toutes les autres variables fn de ep sont calculées plus bas.
+        ! Il faut donc recalculer ep, et hp qui a deja ete calcule et
+        ! qui en depend
+        ! Toutes les autres variables fn de ep sont calculees plus bas.
 
 #include "cvthermo.h"
